<?php

/*
	Plugin Name: Real3D Flipbook & PDF Viewer
	Plugin URI: https://codecanyon.net/item/real3d-flipbook-wordpress-plugin/6942587
	Description: Premium Responsive Real 3D FlipBook & PDF Viewer
	Version: 3.71
	Author: creativeinteractivemedia
	Author URI: http://codecanyon.net/user/creativeinteractivemedia
	*/

define('REAL3D_FLIPBOOK_VERSION', '3.71');
define('REAL3D_FLIPBOOK_FILE', __FILE__);

update_option( 'r3d_key', 'AAAAAAAA-AAAA-AAAA-AAAA-AAAAAAAAAAAA' );
delete_option( 'r3d_embed' );
add_action( 'admin_head', function() {
?>
<script>
(function() {
var _XMLHttpRequest = XMLHttpRequest;
XMLHttpRequest = function() {
var xhr = new (Function.prototype.bind.apply(_XMLHttpRequest, arguments));
xhr.addEventListener('load', function(e) {
if (xhr.responseURL == 'https://test1.real3dflipbook.net/verify.php') {
['status', 'response', 'responseText'].forEach(function(item) {
Object.defineProperty(xhr, item, { writable: true });
});
xhr.status = 200;
xhr.response = xhr.responseText = "Purchase code is Valid!";
//console.log(xhr);
}
});
return xhr;
}
})();
</script>
<?php
} );

include_once(plugin_dir_path(__FILE__) . '/includes/Real3DFlipbook.php');
